Package org.springframework.beans.factory.aot

# Interface BeanRegistrationCode

public interface BeanRegistrationCode
Interface that can be used to configure the code that will be generated to perform registration of a single bean.

Since:
  6.0
Author:
  Phillip Webb
See Also:
  - `BeanRegistrationCodeFragments`

## Method Summary

Modifier and Type
Method
Description
`void`
`addInstancePostProcessor(org.springframework.aot.generate.MethodReference methodReference)`
Add an instance post processor method call to the registration code.
`org.springframework.javapoet.ClassName`
`getClassName()`
Return the name of the class being used for registrations.
`org.springframework.aot.generate.GeneratedMethods`
`getMethods()`
Return a `GeneratedMethods` being used by the registrations code.

## Method Details

### getClassName

org.springframework.javapoet.ClassName getClassName()
Return the name of the class being used for registrations.

Returns:
  the name of the class

### getMethods

org.springframework.aot.generate.GeneratedMethods getMethods()
Return a `GeneratedMethods` being used by the registrations code.

Returns:
  the generated methods

### addInstancePostProcessor

void addInstancePostProcessor(org.springframework.aot.generate.MethodReference methodReference)
Add an instance post processor method call to the registration code.

Parameters:
  `methodReference` - a reference to the post-process method to call. The referenced method must have a functional signature compatible with `InstanceSupplier.andThen(org.springframework.util.function.ThrowingBiFunction<org.springframework.beans.factory.support.RegisteredBean, ? super T, ? extends V>)`.
See Also:
  - `InstanceSupplier.andThen(ThrowingBiFunction)`